import { RowDropZoneParams } from '../../../interfaces';
export default class RowDragApi {
    private pipeline;
    private rowDropZoneParams;
    private rowDropZones;
    private dragStatus;
    constructor(pipeline: any);
    getRowDropZoneParams(): RowDropZoneParams;
    setRowDropZoneParams(params: any): void;
    addRowDropZone(rowDropZone: any): void;
    getRowDropZone(): RowDropZoneParams[];
    removeRowDropZone(rowDropZone: any): void;
    private setDragStatus;
    private getDragStatus;
}
